import Layout from '@/layout/index.vue'
import { createNameComponent } from '../createNode'
const route = [

  /*   {
      path: '/beefSaleManage',
      component: Layout,
      redirect: 'beefSaleManage/beefOnsaleList',
      meta: { title: '牛只上架管理', icon: 'icon--nainiu' },
      alwayShow: true,
      children: [
        {
          path: 'beefSaleManage/addNewbeef',
          component: createNameComponent(() => import('@/views/beefSaleManage/addNewbeef.vue')),
          meta: { title: '新上架牛源', icon: '', cache: false },
        },
        {
          path: 'beefSaleManage/beefOnsaleList',
          component: createNameComponent(() => import('@/views/beefSaleManage/beefOnsaleList.vue')),
          meta: { title: '销售中牛源', icon: '', cache: false },
        },
        {
          path: 'beefSaleManage/beefInStore',
          component: createNameComponent(() => import('@/views/beefSaleManage/beefInStore.vue')),
          meta: { title: '仓库中牛只', icon: '', cache: false },
        },
        {
          path: 'beefSaleManage/editBeef',
          component: createNameComponent(() => import('@/views/beefSaleManage/editBeef.vue')),
          meta: { title: '编辑商品', hideMenuItem: true, cache: false },
        },
      ]
    }, */
  /*   {
      path: '/requireManage',
      component: Layout,
      redirect: 'requireManage/procurementNeeds',
      meta: { title: '采购需求管理', icon: 'icon-caigoudingdan' },
      children: [
        {
          path: 'procurementNeeds',
          component: createNameComponent(() => import('@/views/requireManage/procurementNeeds.vue')),
          meta: { title: '采购需求管理', cache: false, },
        },
        {
          path: 'addNeeds',
          component: createNameComponent(() => import('@/views/requireManage/addNeeds.vue')),
          meta: { title: '新增采购需求', hideMenuItem: true, cache: false },
        },
        {
          path: 'editNeeds',
          component: createNameComponent(() => import('@/views/requireManage/editNeeds.vue')),
          meta: { title: '编辑采购需求', hideMenuItem: true, cache: false },
        },
        {
          path: 'procurementDetail',
          component: createNameComponent(() => import('@/views/requireManage/procurementDetail.vue')),
          meta: { title: '采购需求详情', hideMenuItem: true, cache: false },
        },
      ]
    }, */
  {
    path: '/userPublishSellManage',
    component: Layout,
    redirect: 'userPublishManage/pubSaleInfo',
    meta: { title: '卖牛信息管理', icon: 'icon-fabu' },
    children: [
      {
        path: 'pubSaleInfo/1',
        component: createNameComponent(() => import('@/views/userPublishManage/pubSaleInfo.vue')),
        meta: { title: '待审核', cache: false, },
      },
      {
        path: 'pubSaleInfo/2',
        component: createNameComponent(() => import('@/views/userPublishManage/pubSaleInfo.vue')),
        meta: { title: '审核拒绝', cache: false, },
      },
      {
        path: 'pubSaleInfo/3',
        component: createNameComponent(() => import('@/views/userPublishManage/pubSaleInfo.vue')),
        meta: { title: '发布中', cache: false, },
      },
      {
        path: 'pubSaleInfo/4',
        component: createNameComponent(() => import('@/views/userPublishManage/pubSaleInfo.vue')),
        meta: { title: '强制下架', cache: false, },
      },
      {
        path: 'pubSaleInfo/5',
        component: createNameComponent(() => import('@/views/userPublishManage/pubSaleInfo.vue')),
        meta: { title: '已过期', cache: false, },
      },
      {
        path: 'publishDetail',
        component: createNameComponent(() => import('@/views/userPublishManage/publishDetail.vue')),
        meta: { title: '发布详情', hideMenuItem: true, cache: false, },
      },
    ]
  },
  {
    path: '/userPublishBuyManage',
    component: Layout,
    redirect: 'userPublishManage/pubSaleInfo',
    meta: { title: '买牛信息管理', icon: 'icon-fabu' },
    children: [
      {
        path: 'pubPurchaseInfo/1',
        component: createNameComponent(() => import('@/views/userPublishManage/pubPurchaseInfo.vue')),
        meta: { title: '待审核', cache: false, },
      },
      {
        path: 'pubPurchaseInfo/2',
        component: createNameComponent(() => import('@/views/userPublishManage/pubPurchaseInfo.vue')),
        meta: { title: '审核拒绝', cache: false, },
      },
      {
        path: 'pubPurchaseInfo/3',
        component: createNameComponent(() => import('@/views/userPublishManage/pubPurchaseInfo.vue')),
        meta: { title: '发布中', cache: false, },
      },
      {
        path: 'pubPurchaseInfo/4',
        component: createNameComponent(() => import('@/views/userPublishManage/pubPurchaseInfo.vue')),
        meta: { title: '强制下架', cache: false, },
      },
      {
        path: 'pubPurchaseInfo/5',
        component: createNameComponent(() => import('@/views/userPublishManage/pubPurchaseInfo.vue')),
        meta: { title: '已过期', cache: false, },
      },
      {
        path: 'publishDetail',
        component: createNameComponent(() => import('@/views/userPublishManage/publishDetail.vue')),
        meta: { title: '发布详情', hideMenuItem: true, cache: false, },
      },
    ]
  },
  {
    path: '/quoteManage',
    component: Layout,
    redirect: 'quoteManage',
    meta: { title: '报价管理', icon: 'icon-yingyong' },
    children: [
      {
        path: 'buyQuote',
        component: createNameComponent(() => import('@/views/quoteManage/buyQuote.vue')),
        meta: { title: '买牛报价' }
      },
      {
        path: 'sellQuote',
        component: createNameComponent(() => import('@/views/quoteManage/sellQuote.vue')),
        meta: { title: '卖牛报价' }
      },
      {
        path: 'sellQuoteAudit',
        component: createNameComponent(() => import('@/views/quoteManage/sellQuoteAudit.vue')),
        meta: { title: '卖牛报价审核' }
      }
    ]
  },
  {
    path: '/intentManage',
    component: Layout,
    redirect: 'intentManage',
    meta: { title: '意向单管理', icon: 'icon-hezuo' },
    children: [
      {
        path: 'buyIntent',
        component: createNameComponent(() => import('@/views/intentManage/buyIntent.vue')),
        meta: { title: '买牛意向单' }
      },
      {
        path: 'sellIntent',
        component: createNameComponent(() => import('@/views/intentManage/sellIntent.vue')),
        meta: { title: '卖牛意向单' }
      }
    ]
  },
  {
    path: '/orderManage',
    component: Layout,
    redirect: 'orderManage/orderManageIndex',
    meta: { title: '订单管理', icon: 'icon-dingdandingdanmingxishouzhimingxi' },
    children: [
      // {
      //   path: 'orderManage/orderManageIndex',
      //   component: createNameComponent(() => import('@/views/orderManage/orderManageIndex.vue')),
      //   meta: { title: '牛只订单管理', cache: false },
      // },
      {
        path: 'orderManage/orderDetail',
        component: createNameComponent(() => import('@/views/orderManage/orderDetail.vue')),
        meta: { title: '牛只订单详情', hideMenuItem: true, cache: false, },
      },
      {
        path: 'buyOrder',
        component: createNameComponent(() => import('@/views/orderManage/buyOrder.vue')),
        meta: { title: '买牛订单', cache: false, },
      },
      {
        path: 'sellOrder',
        component: createNameComponent(() => import('@/views/orderManage/sellOrder.vue')),
        meta: { title: '卖牛订单', cache: false, },
      },
      {
        path: 'contractManage',
        component: createNameComponent(() => import('@/views/orderManage/contractManage.vue')),
        meta: { title: '服务合同', hideMenuItem: true, cache: false, }
      },
    ]
  },
  // {
  //   path: '/userPublishManage',
  //   component: Layout,
  //   redirect: 'userPublishManage/pubSaleInfo',
  //   meta: { title: '用户发布管理', icon: 'icon-fabu' },
  //   children: [
  //     {
  //       path: 'pubSaleInfo',
  //       component: createNameComponent(() => import('@/views/userPublishManage/pubSaleInfo.vue')),
  //       meta: { title: '卖牛信息管理', cache: false, },
  //     },
  //     {
  //       path: 'pubPurchaseInfo',
  //       component: createNameComponent(() => import('@/views/userPublishManage/pubPurchaseInfo.vue')),
  //       meta: { title: '买牛信息管理', cache: false, },
  //     },
  //     {
  //       path: 'publishDetail',
  //       component: createNameComponent(() => import('@/views/userPublishManage/publishDetail.vue')),
  //       meta: { title: '发布详情', hideMenuItem: true, cache: false, },
  //     },
  //   ]
  // },
  {
    path: '/contentManage',
    component: Layout,
    redirect: 'contentList',
    meta: { title: '内容管理', icon: 'icon-_guanggaochuangyi' },
    alwayShow: true,
    children: [
      {
        path: 'contentList',
        component: createNameComponent(() => import('@/views/contentManage/contentList.vue')),
        meta: { title: '内容列表', cache: false, },
        children: [

        ]
      },
      {
        path: 'contentTypeList',
        component: createNameComponent(() => import('@/views/contentManage/contentTypeList.vue')),
        meta: { title: '内容类型列表', cache: false, }
      },
      {
        path: 'newContent',
        component: createNameComponent(() => import('@/views/contentManage/newContent.vue')),
        meta: { title: '新增内容', hideMenuItem: true, cache: false, }
      },
      {
        path: 'editContent',
        component: createNameComponent(() => import('@/views/contentManage/newContent.vue')),
        meta: { title: '编辑内容', hideMenuItem: true, cache: false, }
      }
    ]
  },
  /*   {
      path: '/IntendedCustomers',
      component: Layout,
      redirect: 'IntendedCustomers',
      meta: { title: '意向客户', icon: 'icon-hezuo' },
      children: [
        {
          path: 'IntendedCustomers',
          component: createNameComponent(() => import('@/views/IntendedCustomers/IntendedCustomers.vue')),
          meta: { title: '意向客户', icon: 'icon-hezuo', cache: false, },
          children: [
  
          ]
        },
      ]
    }, */
  {
    path: '/protocol',
    component: Layout,
    redirect: 'protocol',
    meta: { title: '协议管理', icon: 'icon-yingyong' },
    children: [
      {
        path: 'protocol',
        component: createNameComponent(() => import('@/views/protocol/index.vue')),
        meta: { title: '协议管理',icon: 'icon-yingyong'},
      },
      // {
      //   path: 'addProtocol',
      //   component: createNameComponent(() => import('@/views/protocol/addProtocol.vue')),
      //   meta: { title: '新增协议', hideMenuItem: true, cache: false, },
      // }
    ]

  },
  {
    path: '/serviceFee',
    component: Layout,
    redirect: 'serviceFee',
    meta: { title: '费用管理', icon: 'icon-yingyong' },
    children: [
      {
        path: 'index',
        component: createNameComponent(() => import('@/views/serviceFee/index.vue')),
        meta: { title: '费用设置' },
      },
      {
        path: 'shopFeeList',
        component: createNameComponent(() => import('@/views/serviceFee/shopFeeList.vue')),
        meta: { title: '服务费管理' },
      }
    ]
  },
  {
    path: '/cattleTrdeValue',
    component: Layout,
    redirect: 'cattleTrdeValue',
    meta: { title: '牛只交易价值测算', icon: 'icon-_guanggaochuangyi' },
    children: [
      {
        path: 'cattleTrdeValue',
        component: createNameComponent(() => import('@/views/cattleTrdeValue/index.vue')),
        meta: { title: '牛只品种管理'},
      },
      {
        path: 'referenceInfo',
        component: createNameComponent(() => import('@/views/cattleTrdeValue/referenceInfo.vue')),
        meta: { title: '牛只膘情参考'},
      },
      {
        path: 'recondsInfo',
        component: createNameComponent(() => import('@/views/cattleTrdeValue/recondsInfo.vue')),
        meta: { title: '测算记录'},
      },
    ]
  },
]

export default route